<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileTree.html -->
<!-- this view was generated by FileTree -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - File Tree</title>
<link href="style.css" type="text/css" rel="stylesheet" />
<script type="text/javascript" src="synopsis.js"></script></head>
<body class="FileTree">
<div class="navigation">
<span class="normal"><a href="ModuleTree.html" >Module Tree</a></span>
<span class="selected">File Tree</span>
</div>
<div class="module-section"><a href="javascript:toggle('tree1');" ><img src="tree_close.png" alt="node" border="0" id="tree1_img"/></a>Synopsis/<div id="tree1" style="display:none;">
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/SXRServer.py.html" target="detail">SXRServer.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/SourceFile.py.html" target="detail">SourceFile.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/DeclarationSorter.py.html" target="detail">DeclarationSorter.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/config.py.html" target="detail">config.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/import_processor.py.html" target="detail">import_processor.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/__init__.py.html" target="detail">__init__.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Processor.py.html" target="detail">Processor.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/DocString.py.html" target="detail">DocString.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/SXR.py.html" target="detail">SXR.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/IR.py.html" target="detail">IR.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/getoptions.py.html" target="detail">getoptions.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/ASG.py.html" target="detail">ASG.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/FileTree.py.html" target="detail">FileTree.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/QualifiedName.py.html" target="detail">QualifiedName.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/process.py.html" target="detail">process.py</a></div>
<div class="module-section"><a href="javascript:toggle('tree2');" ><img src="tree_close.png" alt="node" border="0" id="tree2_img"/></a>Formatters/<div id="tree2" style="display:none;">
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/SXR.py.html" target="detail">SXR.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/BoostBook.py.html" target="detail">BoostBook.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/__init__.py.html" target="detail">__init__.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/Dump.py.html" target="detail">Dump.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/ClassTree.py.html" target="detail">ClassTree.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/Dot.py.html" target="detail">Dot.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/List.py.html" target="detail">List.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/TOC.py.html" target="detail">TOC.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/Texinfo.py.html" target="detail">Texinfo.py</a></div>
<div class="module-section"><a href="javascript:toggle('tree3');" ><img src="tree_close.png" alt="node" border="0" id="tree3_img"/></a>DocBook/<div id="tree3" style="display:none;">
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/DocBook/Syntax.py.html" target="detail">Syntax.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/DocBook/__init__.py.html" target="detail">__init__.py</a></div>
<div class="module-section"><a href="javascript:toggle('tree4');" ><img src="tree_close.png" alt="node" border="0" id="tree4_img"/></a>Markup/<div id="tree4" style="display:none;">
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/DocBook/Markup/__init__.py.html" target="detail">__init__.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html" target="detail">Javadoc.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/DocBook/Markup/RST.py.html" target="detail">RST.py</a></div>
</div>
</div>
</div>
</div>
<div class="module-section"><a href="javascript:toggle('tree5');" ><img src="tree_close.png" alt="node" border="0" id="tree5_img"/></a>HTML/<div id="tree5" style="display:none;">
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/__init__.py.html" target="detail">__init__.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Tags.py.html" target="detail">Tags.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/XRefPager.py.html" target="detail">XRefPager.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/FrameSet.py.html" target="detail">FrameSet.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Part.py.html" target="detail">Part.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/View.py.html" target="detail">View.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Fragment.py.html" target="detail">Fragment.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Frame.py.html" target="detail">Frame.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/DirectoryLayout.py.html" target="detail">DirectoryLayout.py</a></div>
<div class="module-section"><a href="javascript:toggle('tree6');" ><img src="tree_close.png" alt="node" border="0" id="tree6_img"/></a>Markup/<div id="tree6" style="display:none;">
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Markup/__init__.py.html" target="detail">__init__.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Markup/RST.py.html" target="detail">RST.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Markup/Javadoc.py.html" target="detail">Javadoc.py</a></div>
</div>
</div>
<div class="module-section"><a href="javascript:toggle('tree7');" ><img src="tree_close.png" alt="node" border="0" id="tree7_img"/></a>Fragments/<div id="tree7" style="display:none;">
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Fragments/HeadingFormatter.py.html" target="detail">HeadingFormatter.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Fragments/__init__.py.html" target="detail">__init__.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Fragments/SummaryCommenter.py.html" target="detail">SummaryCommenter.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Fragments/Default.py.html" target="detail">Default.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Fragments/SourceLinker.py.html" target="detail">SourceLinker.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Fragments/XRefLinker.py.html" target="detail">XRefLinker.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Fragments/ClassHierarchyGraph.py.html" target="detail">ClassHierarchyGraph.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Fragments/DetailCommenter.py.html" target="detail">DetailCommenter.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Fragments/TemplateSpecializations.py.html" target="detail">TemplateSpecializations.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html" target="detail">DeclarationFormatter.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Fragments/ClassHierarchySimple.py.html" target="detail">ClassHierarchySimple.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Fragments/InheritanceFormatter.py.html" target="detail">InheritanceFormatter.py</a></div>
</div>
</div>
<div class="module-section"><a href="javascript:toggle('tree8');" ><img src="tree_close.png" alt="node" border="0" id="tree8_img"/></a>Views/<div id="tree8" style="display:none;">
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Views/FileIndex.py.html" target="detail">FileIndex.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Views/InheritanceTree.py.html" target="detail">InheritanceTree.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Views/FileListing.py.html" target="detail">FileListing.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Views/Source.py.html" target="detail">Source.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Views/ModuleIndex.py.html" target="detail">ModuleIndex.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Views/InheritanceGraph.py.html" target="detail">InheritanceGraph.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Views/XRef.py.html" target="detail">XRef.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Views/RawFile.py.html" target="detail">RawFile.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Views/__init__.py.html" target="detail">__init__.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Views/ModuleListing.py.html" target="detail">ModuleListing.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Views/ModuleTree.py.html" target="detail">ModuleTree.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Views/Directory.py.html" target="detail">Directory.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Views/NameIndex.py.html" target="detail">NameIndex.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Views/Scope.py.html" target="detail">Scope.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Views/FileTree.py.html" target="detail">FileTree.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Views/Tree.py.html" target="detail">Tree.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Views/FileDetails.py.html" target="detail">FileDetails.py</a></div>
</div>
</div>
<div class="module-section"><a href="javascript:toggle('tree9');" ><img src="tree_close.png" alt="node" border="0" id="tree9_img"/></a>Parts/<div id="tree9" style="display:none;">
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Parts/Inheritance.py.html" target="detail">Inheritance.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Parts/Summary.py.html" target="detail">Summary.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Parts/__init__.py.html" target="detail">__init__.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Parts/Detail.py.html" target="detail">Detail.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Formatters/HTML/Parts/Heading.py.html" target="detail">Heading.py</a></div>
</div>
</div>
</div>
</div>
</div>
</div>
<div class="module-section"><a href="javascript:toggle('tree10');" ><img src="tree_close.png" alt="node" border="0" id="tree10_img"/></a>Processors/<div id="tree10" style="display:none;">
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Processors/AccessRestrictor.py.html" target="detail">AccessRestrictor.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Processors/TypeMapper.py.html" target="detail">TypeMapper.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Processors/Linker.py.html" target="detail">Linker.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Processors/MacroFilter.py.html" target="detail">MacroFilter.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Processors/NameMapper.py.html" target="detail">NameMapper.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Processors/ScopeStripper.py.html" target="detail">ScopeStripper.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Processors/TypedefFolder.py.html" target="detail">TypedefFolder.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Processors/ModuleFilter.py.html" target="detail">ModuleFilter.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Processors/TemplateLinker.py.html" target="detail">TemplateLinker.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Processors/Transformer.py.html" target="detail">Transformer.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Processors/SXRCompiler.py.html" target="detail">SXRCompiler.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Processors/__init__.py.html" target="detail">__init__.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Processors/ModuleSorter.py.html" target="detail">ModuleSorter.py</a></div>
<div class="module-section"><a href="javascript:toggle('tree11');" ><img src="tree_close.png" alt="node" border="0" id="tree11_img"/></a>Comments/<div id="tree11" style="display:none;">
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Processors/Comments/Filter.py.html" target="detail">Filter.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Processors/Comments/__init__.py.html" target="detail">__init__.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Processors/Comments/Previous.py.html" target="detail">Previous.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Processors/Comments/Translator.py.html" target="detail">Translator.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Processors/Comments/Grouper.py.html" target="detail">Grouper.py</a></div>
</div>
</div>
</div>
</div>
<div class="module-section"><a href="javascript:toggle('tree12');" ><img src="tree_close.png" alt="node" border="0" id="tree12_img"/></a>Parsers/<div id="tree12" style="display:none;">
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Parsers/__init__.py.html" target="detail">__init__.py</a></div>
<div class="module-section"><a href="javascript:toggle('tree13');" ><img src="tree_close.png" alt="node" border="0" id="tree13_img"/></a>C/<div id="tree13" style="display:none;">
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Parsers/C/__init__.py.html" target="detail">__init__.py</a></div>
</div>
</div>
<div class="module-section"><a href="javascript:toggle('tree14');" ><img src="tree_close.png" alt="node" border="0" id="tree14_img"/></a>IDL/<div id="tree14" style="display:none;">
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Parsers/IDL/idlast.py.html" target="detail">idlast.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Parsers/IDL/idlvisitor.py.html" target="detail">idlvisitor.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Parsers/IDL/idltype.py.html" target="detail">idltype.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Parsers/IDL/omni.py.html" target="detail">omni.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Parsers/IDL/__init__.py.html" target="detail">__init__.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Parsers/IDL/idlutil.py.html" target="detail">idlutil.py</a></div>
</div>
</div>
<div class="module-section"><a href="javascript:toggle('tree15');" ><img src="tree_close.png" alt="node" border="0" id="tree15_img"/></a>Python/<div id="tree15" style="display:none;">
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Parsers/Python/__init__.py.html" target="detail">__init__.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Parsers/Python/ASGTranslator.py.html" target="detail">ASGTranslator.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Parsers/Python/SXRGenerator.py.html" target="detail">SXRGenerator.py</a></div>
</div>
</div>
<div class="module-section"><a href="javascript:toggle('tree16');" ><img src="tree_close.png" alt="node" border="0" id="tree16_img"/></a>Cpp/<div id="tree16" style="display:none;">
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Parsers/Cpp/Emulator.py.html" target="detail">Emulator.py</a></div>
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Parsers/Cpp/__init__.py.html" target="detail">__init__.py</a></div>
</div>
</div>
<div class="module-section"><a href="javascript:toggle('tree17');" ><img src="tree_close.png" alt="node" border="0" id="tree17_img"/></a>Cxx/<div id="tree17" style="display:none;">
<div class="module-section"><img src="tree_leaf.png" alt="leaf"/><a href="File/Synopsis/Parsers/Cxx/__init__.py.html" target="detail">__init__.py</a></div>
</div>
</div>
</div>
</div>
</div>
</div>
<script type="text/javascript" language="JavaScript1.2"><!--
        tree_max_node = 17; // --></script><div class="tree-navigation"><a href="javascript:open_all()" >Open All</a><a href="javascript:close_all()" >Close All</a></div>
</body>
</html>
